Subject: bug#66133: emacs-28.2 to emacs-29.1 made default-frame-alist/initial-frame-alist settings non functional

From: Joakim Tjernlund <[email-masked]>
Date: Thu, 21 Sep 2023 09:00:54 +0000

I have in site-start.el:
(setq default-frame-alist '((background-color . "#333333") (foreground-color . "White") (cursor-color . "White")))
(setq initial-frame-alist default-frame-alist)

With above settings I expect to have a Dark Green background and white text.
These settings stopped working in emacs-29.1, now I see a White background and Black text.

As I use MATE I also have:

cat /etc/xrdb/Emacs.ad
Emacs.default.attributeForeground:	WINDOW_FOREGROUND
Emacs.default.attributeBackground:	WINDOW_BACKGROUND
 
Emacs*Foreground:		WINDOW_FOREGROUND
Emacs*Background:		WINDOW_BACKGROUND
Emacs*menubar*foreground:	FOREGROUND
Emacs*menubar*background:	BACKGROUND
Emacs*popup*Foreground:		FOREGROUND
Emacs*popup*Background:		BACKGROUND
Emacs*Dialog*foreground:	FOREGROUND
Emacs*Dialog*background:	BACKGROUND
Emacs*XlwScrollBar.Foreground:	FOREGROUND
Emacs*XlwScrollBar.Background:	BACKGROUND
Emacs*topToolBarShadowColor:	BACKGROUND
Emacs*bottomToolBarShadowColor:	BACKGROUND
Emacs*backgroundToolBarColor:	BACKGROUND
Emacs.scroll-bar.attributeBackground: BACKGROUND
Emacs.scroll-bar.attributeForeground: FOREGROUND
Emacs.mode-line.attributeForeground: FOREGROUND
Emacs.tool-bar.attributeBackground: BACKGROUND
Emacs.tool-bar.attributeForeground: FOREGROUND

(MATE replaces the sym names FOREGROUND/BACKGROUND etc. with Theme colours)

Removing this file make emacs-29.1 work again w.r.t default-frame-alist/initial-frame-alist settings above.